Retrieve Provider
Returns the Provider by ID.
The token can be generated using the Authentication API.
The ID (UUID) of the Provider.
74edc770-5cc6-5976-ac99-013ddb4af403Getting Provider was successful.
The ID (UUID) of the Provider.
74edc770-5cc6-5976-ac99-013ddb4af403The type of the resource.
The URL of the Provider.
/providers/74edc770-5cc6-5976-ac99-013ddb4af403Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /providers/{providerId} HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "74edc770-5cc6-5976-ac99-013ddb4af403",
"type": "provider",
"href": "/providers/74edc770-5cc6-5976-ac99-013ddb4af403",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "Issue in progress."
},
"properties": {
"name": "Let's Encrypt",
"email": "user@example.com",
"server": "https://acme-v02.api.letsencrypt.org/directory",
"externalAccountBinding": {
"keyId": "some-key-id"
}
}
}Last updated
Was this helpful?